怎么样删除现在的linux引导器 从而开机用win引导器引导linux呢

为当前最终发行版之前的所有版本提供支持
回复
yanyiming1989
帖子: 8
注册时间: 2007-08-03 11:12
来自: 山东-东营
送出感谢: 0
接收感谢: 0
联系:

怎么样删除现在的linux引导器 从而开机用win引导器引导linux呢

#1

帖子 yanyiming1989 » 2007-09-08 18:53

怎么样删除现在的linux引导器 从而开机用win引导器引导linux呢

我想删除grub 从而用win的引导器引导系统
努力学习技术
头像
wanzcong
帖子: 201
注册时间: 2007-08-23 3:52
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 wanzcong » 2007-09-08 21:55

利用grub 4 dos, copy menlu.lst的内容过来,就行了
yanyiming1989
帖子: 8
注册时间: 2007-08-03 11:12
来自: 山东-东营
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 yanyiming1989 » 2007-09-08 22:44

不懂
努力学习技术
头像
sighforever
帖子: 234
注册时间: 2007-08-07 18:14
送出感谢: 4 次
接收感谢: 3 次

#4

帖子 sighforever » 2007-09-09 0:26

那个东西比grub好用吗?
什么是历史?历史是魔术师箱子里那只变来变去的小白鸽;
什么是真相,真相只是观众最愿意看到的硬币的那一面。
锋之恋歌
帖子: 23
注册时间: 2007-06-05 14:35
来自: 浙江
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 锋之恋歌 » 2007-09-09 12:26

下面的操作步骤!
首先起确认你的grub正常,并能启动linux
然后启动到linux (Ubuntu)
如果你的是IDE硬盘 (谢谢sun391补充)
代码:
sudo dd if=/dev/hda of=/media/linux.lnx bs=512 count=1

如果你硬盘的被识别为sda
代码:
sudo dd if=/dev/sda of=/media/linux.lnx bs=512 count=1

题外话:如果没有bs=512 count=1的话,dd好像跟ghost一样,不知道是不是哦,高手赐教Very Happy
然后你可以到/media找到linux.lnx这个文件
将它cp到你的win根目录,例如是C:\,而且我建议你对这个文件做多个备份!

然后重启到win

进入后确认你的系统根目有linux.lnx这个文件
然后修改boot.ini
boot.ini请在win 下修改,因为编码不同! 大侠除外Very Happy


它可能隐藏和只读
然后在后面加入
如果有
代码:
time=0

请将0更改!如time=5
代码:
C:\linux.lnx="linux"


保存

然后你就可以reboot看效果了
nt的引导菜单会出现linux这一项,选择后好像又会到grub的菜单了
事实上它只是读了linux.lnx
上面这个确认能进入linux后你就可以选者性的对mbr做M$的恢复了
win9x的引导盘是
代码:
fdisk /mbr

而nt就是用安装光盘或别的方法进入修复控制台

然后
代码:
fixmbr

这样你的mbr 就跟只装win的一样了!


如果你对win重装了只要做

拷尼备份的linux.lnx到win的根目录
并修改boot.ini (修改在前面已经有了)
头像
ptptptptptpt
帖子: 3711
注册时间: 2006-09-19 18:16
送出感谢: 0
接收感谢: 1 次

#6

帖子 ptptptptptpt » 2007-09-09 12:29

sighforever 写了:那个东西比grub好用吗?


相当好使。一键GHOST 、DOS工具箱 什么的都是用的 GRUB4DOS

这里是WIKI: http://grub4dos.sourceforge.net/wiki/in ... /Main_Page
cyujack
帖子: 25
注册时间: 2007-08-22 18:10
送出感谢: 0
接收感谢: 0

#7

帖子 cyujack » 2007-09-09 13:44

5楼的正解
yanyiming1989
帖子: 8
注册时间: 2007-08-03 11:12
来自: 山东-东营
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 yanyiming1989 » 2007-09-10 11:52

谢谢啊
努力学习技术
回复

回到 “老旧版本支持”